import request from '@/utils/request'

/**
 * 分页查询番禺企业黑名单库
 */
export function list(pageRequestDto) {
  return request({
    url: '/py/blacklist/list',
    method: 'post',
    data: pageRequestDto
  })
}

/**
 * 导入黑名单市场主体（番禺）
 */
export function importBlacklist(data) {
  return request({
    headers: {
      ContentType: 'multipart/form-data'
    },
    url: '/py/blacklist/importBlacklist',
    method: 'post',
    data
  })
}

/**
 * 是否存在番禺黑名单中
 */
export function check(params) {
  return request({
    url: '/py/blacklist/check',
    method: 'get',
    params
  })
}

/**
 * 删除
 */
export function del(id) {
  return request({
    url: '/py/blacklist/delete',
    method: 'get',
    params: {
      id: id
    }
  })
}
